<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="other/common.jsp" %>

<%
FoodAndDrink fad = (FoodAndDrink)request.getAttribute("fad");
%>

<jsp:include page="other/head.jsp" /> <%-- ヘッドの挿入 --%>
<jsp:include page="other/customer_header.jsp" /> <%-- ヘッダーの挿入 --%>

<div id="details" class="common_container">

	<div class="details_outer">

		<div class="details_inner_1">
			<img src="img/no_image.jpg" width="400" height="300">
		</div>

		<div class="details_inner_2">
			<h1><%= fad.getName() %></h1>
			<p class="text_strong">Price: \<%= fad.getPrice() %></p>
			<p><%= fad.getDiscription() %></p>

			<form action="DetailsServlet" method="post" class="flex_gap">
				<span>個数：</span>
				<select name="orderCount">
					<option value="1">1</option>
					<option value="2">2</option>
					<option value="3">3</option>
					<option value="4">4</option>
					<option value="5">5</option>
				</select>
				<input type="hidden" name="orderName" value="<%= fad.getName() %>">
				<input type="submit" value="追加" class="simple_button">
			</form>
		</div>

	</div>

	<div class="back_button">
		<a href="MenuServlet">戻る</a>
	</div>

</div>

<jsp:include page="other/footer.jsp" /> <%-- フッターの挿入 --%>
