<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="other/common.jsp" %>

<jsp:include page="other/head.jsp" /> <%-- ヘッドの挿入 --%>
<jsp:include page="other/customer_header.jsp" /> <%-- ヘッダーの挿入 --%>

<div id="menu" class="common_container">

	<h1 class="title_center">メニュー</h1>

	<h2 class="menu_title">ソフトドリンク一覧</h2>
	<div class="menu_list_inner">
		<% for (SoftDrink s : menu.getSoftDrinkList()) { %>
			<% if (s.getDisplay()) { %>
			<div class="menu_item">
				<a class="menu_link" href="DetailsServlet?action=<%= s.getName() %>"></a>
				<img src="img/no_image.jpg">
				<div class="menu_item_inner">
					<h2><%= s.getName() %></h2>
					<p>Price: \<%= s.getPrice() %></p>
				</div>
			</div>
			<% } %>
		 <% } %>
	</div>

	<h2 class="menu_title">アルコールドリンク一覧</h2>
	<div class="menu_list_inner">
		<% for (Alcohol a : menu.getAlcoholList()) { %>
			<% if (a.getDisplay()) { %>
			<div class="menu_item">
				<a class="menu_link" href="DetailsServlet?action=<%= a.getName() %>"></a>
			 	<img src="img/no_image.jpg">
			 	<div class="menu_item_inner">
					<h2><%= a.getName() %></h2>
					<p>Price: \<%= a.getPrice() %></p>
				</div>
			</div>
			<% } %>
		 <% } %>
	</div>

	<h2 class="menu_title">フード一覧</h2>
	<div class="menu_list_inner">
		 <% for (Food f : menu.getFoodList()) { %>
			<% if (f.getDisplay()) { %>
			<div class="menu_item">
				<a class="menu_link" href="DetailsServlet?action=<%= f.getName() %>"></a>
			 	<img src="img/no_image.jpg">
			 	<div class="menu_item_inner">
					<h2><%= f.getName() %></h2>
					<p>Price: \<%= f.getPrice() %></p>
				</div>
			</div>
			<% } %>
		 <% } %>
	</div>

</div>

<jsp:include page="other/footer.jsp" /> <%-- フッターの挿入 --%>