<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="other/common.jsp" %>

<%
HashMap<FoodAndDrink, Integer> order = seat.getOrder();
String empty = "";
if (order.isEmpty()) empty += "オーダー一覧は空です。";
int sumPrice = 0;
%>

<jsp:include page="other/head.jsp" /> <%-- ヘッドの挿入 --%>
<jsp:include page="other/customer_header.jsp" /> <%-- ヘッダーの挿入 --%>

<div id="order" class="common_container">

	<h1 class="title_center">オーダー一覧</h1>

	<table border="" class="order_table">
		<tr><th>商品名</th><th>数量</th><th></th></tr>
		<% for (FoodAndDrink key : order.keySet()) { %>
			<% int value = order.get(key); %>
			<tr>
				<td><%= key.getName() %></td>
				<td><%= value %>個</td>
				<td>
					<form action="OrderServlet" method="POST">
						<input type="hidden" name="keyName" value="<%= key.getName() %>">
						<input type="submit" value="削除">
					</form>
				</td>
			</tr>
			<% sumPrice += key.getPrice() * value; %>
		<% } %>
	</table>

	<% final String FORMAT = "%,d"; %>
	<% String sum = String.format(FORMAT, sumPrice); %>
	<p style="text-align:center;">合計：<%= sum %>円</p>
	<p class="empty" style="text-align:center;"><%= empty %></p>

	<div class="back_button">
		<a href="MenuServlet">メニューに戻る</a>
		<form action="OrderListServlet" method="post">
			<input type="submit" value="注文する" class="color_button">
		</form>
	</div>

</div>

<jsp:include page="other/footer.jsp" /> <%-- フッターの挿入 --%>
