<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="other/common.jsp" %>

<%
String result = "";
result = (String)request.getAttribute("result");
%>

<jsp:include page="other/head.jsp" /> <%-- ヘッドの挿入 --%>
<jsp:include page="other/header.jsp" /> <%-- ヘッダーの挿入 --%>

<div id="login" class="common_container no_scroll bg_image">

	<div class="option_outer no_scroll_inner" id="login_inner">

		<div id="option_message">
			<% if (result != null) { %>
			<p><i class="fa-solid fa-circle-info"></i> <%= result %></p>
			<% } %>
		</div>

		<h3 class="option_title color_secondary"><i class="fa-solid fa-user-plus"></i> スタッフ新規登録</h3>

		<form action="OptionServlet" method="POST" class="grid_gap">
			<input type="text" name="name" placeholder="名前" class="font_size_1 no_border">
			<input type="text" name="id" placeholder="ID" class="font_size_1 no_border">
			<input type="text" name="pass" placeholder="Password" class="font_size_1 no_border">
			<p class="no_margin color_primary">※数字とアルファベット両方</p>
			<input type="hidden" name="action" value="addEmployeeOnlyStuff">
			<input type="hidden" name="position" value="スタッフ">
			<input type="submit" value="追加" id="submit" class="clear_button">
		</form>

		<p class="text_center"><a href="LoginServlet" class="color_secondary">戻る</a></p>

	</div>

</div>

<jsp:include page="other/footer.jsp" /> <%-- フッターの挿入 --%>