package menu;

public abstract class Drink implements FoodAndDrink {

	private int _id;
	private String _name;
	private int _price;
	private boolean _isSour;
	private String _discription;
	private boolean _display;

	public Drink(int id, String name, int price, boolean isSour, String discription, boolean display) {
		setId(id);
		_name = name;
		_price = price;
		_isSour = isSour;
		_discription = discription;
		_display = display;
	}

	public int getId() {
		return _id;
	}
	public String getName() {
		return _name;
	}
	public int getPrice() {
		return _price;
	}
	public boolean isSour() {
		return _isSour;
	}
	public String getDiscription() {
		return _discription;
	}
	public boolean getDisplay() {
		return _display;
	}

	public void setId(int id) {
		_id = id;
	}

}
