package seat;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import menu.FoodAndDrink;

public class OrderList {

	private HashMap<FoodAndDrink, Integer> _orderList = new HashMap<>();
	private List<Order> _orderedList = new ArrayList<>();

	public HashMap<FoodAndDrink, Integer> getOrderList() {
		return _orderList;
	}
	public List<Order> getOrderedList() {
		return _orderedList;
	}

	public void addOrderList(FoodAndDrink fad, int count) {
		_orderList.put(fad, count);
	}

	public void addOrdered(Order order) {
		_orderedList.add(order);
	}

	public void removeOrdered(Order order) {
		_orderedList.remove(order);
	}

}
