<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="other/common.jsp" %>

<%
String errorMsg = (String)request.getAttribute("errorMsg");
String result = (String)request.getAttribute("result");
%>

<jsp:include page="other/head.jsp" /> <%-- ヘッドの挿入 --%>
<jsp:include page="other/header.jsp" /> <%-- ヘッダーの挿入 --%>

<div id="login" class="common_container bg_image no_scroll">

	<div id="login_inner" class="no_scroll_inner flosted_glass">

		<% if (result != null) { %>
			<p class="register_result"><%= result %></p>
		<% } %>

		<h2 class="text_center color_secondary">Login</h2>

		<form action="LoginServlet" method="post" class="grid_gap">
			<input type="text" name="id" placeholder="ID" class="font_size_1 no_border">
			<input type="text" name="pass" placeholder="PASSWORD" class="font_size_1 no_border">
			<input type="submit" value="ログイン" id="submit" class="clear_button text_center">
		</form>

		<p class="text_center"><a href="RegisterServlet" id="login_button" class="color_secondary">新規登録</a></p>

		<% if (errorMsg != null) { %>
			<p class="error_massage"><%= errorMsg %></p>
		<% } %>

	</div>

</div>

<jsp:include page="other/footer.jsp" /> <%-- フッターの挿入 --%>