<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="other/common.jsp" %>

<%
HashMap<FoodAndDrink, Integer> orderList = seat.getOrderList();

String empty = "";
if (orderList.isEmpty()) empty += "注文履歴は空です。";

int sumPrice = 0;
%>

<jsp:include page="other/head.jsp" /> <%-- ヘッドの挿入 --%>
<jsp:include page="other/customer_header.jsp" /> <%-- ヘッダーの挿入 --%>

<div id="order_list" class="common_container">

	<h1 class="title_center">注文履歴</h1>

	<table border="" class="order_table">
		<tr><th>商品名</th><th>数量</th><th>金額</th></tr>
		<% for (FoodAndDrink key : orderList.keySet()) { %>
			<% int value = orderList.get(key); %>
			<tr>
				<td><%= key.getName() %>（<%= key.getPrice() %>円）</td>
				<td><%= value %>個</td>
				<td><%= key.getPrice() * value %>円</td>
			</tr>
			<% sumPrice += key.getPrice() * value; %>
		<% } %>
	</table>

	<% final String FORMAT = "%,d"; %>
	<% String sum = String.format(FORMAT, sumPrice); %>
	<p style="text-align:center;">合計：<%= sum %>円</p>
	<p class="empty" style="text-align:center;"><%= empty %></p>

	<div class="back_button">
		<a href="MenuServlet">メニューに戻る</a>
		<form action="AccountingServlet" method="Get">
			<input type="submit" value="会計へ進む" class="color_button">
		</form>
	</div>

</div>

<jsp:include page="other/footer.jsp" /> <%-- フッターの挿入 --%>
