package seat;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

import menu.FoodAndDrink;

public class Seat implements Serializable {

	private String _seatNumber;
	private String _id;
	private int _price;
	private boolean _used = false;
	Order _order = new Order();
	OrderList _orderList = new OrderList();

	public Seat(){}
	public Seat(String seatNumber) {
		_seatNumber = seatNumber;
	}

	public String getSeatNumber() {
		return _seatNumber;
	}
	public HashMap<FoodAndDrink, Integer> getOrder() {
		return _order.getOrder();
	}
	public List<Order> getOrderedList() {
		return _orderList.getOrderedList();
	}
	public HashMap<FoodAndDrink, Integer> getOrderList() {
		return _orderList.getOrderList();
	}
	public String getId() {
		return _id;
	}
	public void setId(String id) {
		_id = id;
	}
	public int getPrice() {
		return _price;
	}
	public boolean isUsed() {
		return _used;
	}

	public void setPrice(int price) {
		_price = price;
	}
	public void setSeatNumber(String seatNumber) {
		_seatNumber = seatNumber;
	}
	public void setUsed(boolean used) {
		_used = used;
	}
	public void setOrder(HashMap<FoodAndDrink, Integer> order) {
		_order.setOrder(order);
	}

	public void addOrder(FoodAndDrink fad, int count) {
		_order.addOrder(fad, count);
	}

	public void removeOrder(FoodAndDrink fad) {
		_order.removeOrder(fad);
	}

	public void addOrderList(FoodAndDrink fad, int count) {
		_orderList.addOrderList(fad, count);
	}

	public void addOrdered(Order ordered) {
		_orderList.addOrdered(ordered);
	}

}