package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import seat.CustomerBellList;
import seat.Seat;

@WebServlet("/CallServlet")
public class CallServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		ServletContext application = getServletContext();
		CustomerBellList customerBellList = (CustomerBellList)application.getAttribute("customerBellList");

		HttpSession session = request.getSession();
		Seat seat = (Seat)session.getAttribute("seat");

		customerBellList.getCustomerBellList().get(seat).setCall(true);
		System.out.println("通知：座席" + seat.getSeatNumber() + "からの呼び出し。");

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/call.jsp");
		dispatcher.forward(request, response);

	}
}
